﻿@model DomainModels.Entities.HumanResource.User

@{
    ViewBag.Title = "User detail";
}

<div class="row line-title-seperator" style="margin-top:0px">
    <div class="col-md-4">
        <hr class="line" />
    </div>
    <div class="col-md-4">
        <h4 class="title">User data</h4>
    </div>
    <div class="col-md-4">
        <hr class="line" />
    </div>
</div>

<div class="row">
    <div class="col-lg-12">


        <div class="row">
            <div class="col-lg-10  label-control">
                @Html.DisplayFor(model => model.User.Id)
            </div>
            <div class="col-lg-2  label-control">
                @Html.DisplayNameFor(model => model.User.Id)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-10  label-control">
                @Html.DisplayFor(model => model.User.FullName)
            </div>
            <div class="col-lg-2  label-control">
                @Html.DisplayNameFor(model => model.User.FullName)
            </div>
        </div>

        @if (Model.User.Role.Name == DomainModels.Entities.Access.RoleName.Employee)
            {
            <div class="row">
                <div class="col-lg-10  label-control">
                    <span class="rolename">@Model.User.Role.DisplayName</span>
                </div>
                <div class="col-lg-2  label-control">
                    @Html.DisplayNameFor(model => model.User.RoleId)
                </div>
            </div>
        }


        <div class="row">
            <div class="col-lg-10  label-control">
                @Html.DisplayFor(model => model.User.Username)
            </div>
            <div class="col-lg-2  label-control">
                @Html.DisplayNameFor(model => model.User.Username)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-10  label-control">
                @Html.DisplayFor(model => model.User.EmailAddress)
            </div>
            <div class="col-lg-2  label-control">
                @Html.DisplayNameFor(model => model.User.EmailAddress)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-10  label-control">
                @Html.DisplayFor(Model.User.CreatedOn)
            </div>
            <div class="col-lg-2  label-control">
                @Html.DisplayNameFor(model => model.User.CreatedOn)
            </div>
        </div>


        <div class="row">
            <div class="col-lg-10  label-control">
                @Html.ShowUserAccountStatus(Model.User.AccountStatus)
            </div>
            <div class="col-lg-2  label-control">
                @Html.DisplayNameFor(model => model.User.AccountStatus)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-10  label-control">
                <div class="alert alert-danger" style="margin-right:10px;margin-left:10px">
                    @Model.User.BanReason
                </div>
            </div>
            <div class="col-lg-2  label-control">
                @Html.DisplayNameFor(model => model.User.BanReason)
            </div>
        </div>


        <div class="row">
            <div class="col-lg-12">
                <br /><br />
                <text>&nbsp;&nbsp;&nbsp;&nbsp;</text>
                @Html.ActionLink("Edit", "Edit", new { id = Model.User.Id }, new { @class = "btn btn-info" });
                <text>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</text>
                @Html.ActionLink("Return to list", "Index", null, new { @class = "btn btn-return" });
            </div>
        </div>


    </div>
</div>






@if (Model.User.Role.Name == DomainModels.Entities.Access.RoleName.RegisteredUsers)
{

    <div class="row line-title-seperator" style="margin-top:0px">
        <div class="col-md-4">
            <hr class="line" />
        </div>
        <div class="col-md-4">
            <h4 class="title">Operation</h4>
        </div>
        <div class="col-md-4">
            <hr class="line" />
        </div>
    </div>


    <div class="row">
        <div class="col-lg-12">
            @if (Model.User.AccountStatus == DomainModels.Entities.HumanResource.AccountStatus.Active)
            {
                using (Html.BeginForm("Ban", "Customer", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    @Html.Hidden("id", Model.User.Id)

                    <div class="row">
                        <div class="form-group">
                            <div class="col-lg-12">
                                <label class="label-control">دلیل بن کردن کاربر</label>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-lg-6 col-lg-offset-6">
                                @Html.TextArea("banReason", "", new { @class = "form-control min-height" })
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group">
                            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                                <input type="submit" value="بن کردن مشتری" class="btn btn-primary" />
                            </div>
                        </div>
                    </div>
                }
            }
            else if (Model.User.AccountStatus == DomainModels.Entities.HumanResource.AccountStatus.Baned)
            {
                using (Html.BeginForm("Active", "Customer", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    @Html.Hidden("id", Model.User.Id)

                    <div class="row">
                        <div class="form-group">
                            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                                <input type="submit" value="فعال سازی مشتری" class="btn btn-primary" />
                            </div>
                        </div>
                    </div>
                }
            }
        </div>
    </div>

}

